/*********************************************************************
 *                                                                   *
 *                M65816: Portable 65816 CPU Emulator                *
 *                                                                   *
 *        Written and Copyright (C)1996 by Joshua M. Thompson        *
 *                                                                   *
 *  You are free to distribute this code for non-commercial purposes *
 * I ask only that you notify me of any changes you make to the code *
 *     Commercial use is prohibited without my written permission    *
 *                                                                   *
 *********************************************************************/

#include "m65816.h"

int	RESET,ABORT,NMI,IRQ;	/* Signals from the hardware */
int	STOP,WAIT;		/* Set by STP and WAI opcodes */
int	TRACE = 0;		/* Set this to nonzero to enable tracing */

extern int	uperiod;

void M65816_uperiod(int period)
{
	uperiod = period;
}

void M65816_trace(int mode)
{
	TRACE = mode;
}

void M65816_reset(void)
{
	RESET = 1;
}

void M65816_abort(void)
{
	ABORT = 1;
}

void M65816_nmi(void)
{
	NMI = 1;
}

void M65816_irq(void)
{
	IRQ = 1;
}
